%define nam	gfloppy
%define ver	0.9.2
%define rel 4mdk

%define	prefix		%{_prefix}
%define sysconfdir	/etc
%define localstatedir	/var/lib


Summary:	A graphical front end for formatting floppy disks
Name:     	%{nam}
Version: 	%{ver}
Release:	%{rel}
Copyright:	GPL
Group:		Graphical desktop/GNOME
Source: 	ftp://ftp.gnome.org/pub/GNOME/sources/stable/%{nam}/%{nam}-%{ver}.tar.bz2
Source1: 	%{nam}_menuentry
Source2:	%{nam}.xpm.bz2
Source3:	%{nam}32.xpm.bz2
BuildRoot:	%{_tmppath}/%{nam}-%{ver}-root
Docdir:		%{prefix}/doc
Prefix: %{prefix}

Requires:	gnome-libs
#Requires:	gnlibs

Requires:	libglade
#Requires:	libglad

#Requires:	e2fsprogs
Requires:	e2fsprogs
#Requires:	e2fslibs
#Requires:	ext2fs

# Mandrake patches

# Helix patches

%description
GFloppy is a graphical utility which allows the creation of Linux ext2
and FAT formatted floppy disks.

%prep
%setup -q
echo "	*****     Applying Mandrake patches        *****	"
echo "	*****     Applying Helix patches     *****	"

%build
CFLAGS="-g $RPM_OPT_FLAGS" ./configure	\
	--prefix=%{prefix} --sysconfdir=%{sysconfdir}	\
	--localstatedir=%{localstatedir}
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir}	\
	localstatedir=$RPM_BUILD_ROOT%{localstatedir} install

# no binary stripping
#(deush) icons
install -d  $RPM_BUILD_ROOT%{prefix}/share/icons/mini
bzcat %{SOURCE2} >$RPM_BUILD_ROOT%{prefix}/share/icons/mini/gfloppy.xpm
bzcat %{SOURCE3} >$RPM_BUILD_ROOT%{prefix}/share/icons/gfloppy.xpm

#(deush) menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/gfloppy

%post
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi
  
%postun
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
  fi
fi 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root,root)
%attr(755,root,root) %{prefix}/bin/gfloppy
%{prefix}/share/gnome/apps/Utilities/*
%{prefix}/share/gfloppy
%{prefix}/share/mime-info/*
%{prefix}/share/locale/*/LC_MESSAGES/gfloppy.mo
%{prefix}/lib/menu/gfloppy
%{prefix}/share/icons

%doc AUTHORS NEWS README
%changelog
* Fri Apr 28 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9.2-4mdk
- add two icons (32*32 and 16*16)

* Thu Apr 6 2000 dam's <damien@mandrakesoft.com> 0.9.2-3mdk
- corrected menu entry.

* Tue Mar 29 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9.2-2mdk
- add menu entry 

* Tue Mar 28 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9.2-1mdk
- first mandrake build
- add mandrake logo
